Subject: Re: bug#65893: 29.1; Keyboard focus permanently lost on killing child frame

From: shtwzrd <[email-masked]>
Date: Sat, 16 Sep 2023 12:01:04 +0000

> Is this possibly https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61719 ?

Hi Sean!

Interesting. I think it is likely to be related.

I am not using fcitx at all though, and this behavior with child frames I'm describing happens 100% reliably for me, and I've tried on multiple compositors (GNOME Wayland, Hyprland), with the same outcome.

I tried setting WAYLAND_DEBUG to see if I could get similar output to you but I don't see anything printed (tried setting it to 'client', and also to 'server'. I guess it's because I'm not using a daemon in this repro but I don't know how this env var is supposed to be used.